pipeline {
  agent any
  stages {
    stage('Checkout Scm') {
      steps {
        git(credentialsId: 'gitlab', url: 'https://gitlab.com/dusan.tichy/cucumber-jira-test.git')

      }
    }

    stage('Export from Jira') {
      steps {
		step([$class: 'XrayExportBuilder', filePath: 'features', filter: '', issues: 'TEST-29', serverInstance: '0549e3e0-0d4e-4fc8-a4a1-359406762e6c'])
      }
    }

    stage('Execute tests') {
      steps {
        sh 'chmod 777 mvnw'  
        sh './mvnw clean test'
      }
    }
     stage('Generate HTML report') {
      steps {
        cucumber buildStatus: 'UNSTABLE',
                reportTitle: 'My report',
                fileIncludePattern: '**/*.json',
                trendsLimit: 10,
                classifications: [
                    [
                        'key': 'Browser',
                        'value': 'Firefox'
                    ]
                ]
        }
     }
  }
  post {
    always {
      step([$class: 'XrayImportBuilder', endpointName: '/cucumber', importFilePath: 'target/cucumber-reports/Cucumber.json', serverInstance: '0549e3e0-0d4e-4fc8-a4a1-359406762e6c'])

    }

  }
}